picard.illumina.parser

## Enum TileTemplateRead

- java.lang.Object
- - java.lang.Enum<TileTemplateRead>
  - - picard.illumina.parser.TileTemplateRead

- All Implemented Interfaces:
    Serializable, Comparable<TileTemplateRead>

      public enum TileTemplateRead
      extends Enum<TileTemplateRead>

  Defines the first or second template read for a tile

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIRST`
    `SECOND`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TileTemplateRead` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TileTemplateRead[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FIRST

          public static final TileTemplateRead FIRST

    - #### SECOND

          public static final TileTemplateRead SECOND

  - ### Method Detail

    - #### values

          public static TileTemplateRead[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TileTemplateRead c : TileTemplateRead.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TileTemplateRead valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null